# wownero-ci

CI system and build tooling to support automation for Wownero development.

## Setup

Install Docker. I'm using a Ubuntu 20.04 machine. Not a HA or scaling setup, just containers running on a box. Setup script provided.

```
sudo bash setup.sh
```

Next, setup the secrets:

```
cp env.example .env
vim .env
# generate new secrets and fill out all variables
```

Use `docker-compose` to start the services. A `Makefile` has been provided for convenience with all of the typical commands to be run.


```
make up
make logs
make down
```

Run `make` to see the available commands.
